Bug 469220 - "Font not found" errors for most non-default fonts
"Font not found" errors for most non-default fonts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 13:05 EDT by c. h.
Modified: 2009-07-23 15:04 EDT (History)
7 users (show)

See Also:
Fixed In Version: 22.3-14.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description c. h. 2008-10-30 13:05:08 EDT
Description of problem:
This may be a problem relating to the indexing / configuration of the system and desktop fonts, but it affects emace, so I'm filing it under emacs.  Hopefulle someone who knows fonts / font databases can figure out why this regression is happening and categorize it appropriately.

Install fedora 10 snap 3 i386.
Boot to runlevel 5 and the normal gnome desktop, logged in as an ordinary user.
Run the graphical emacs.
Hold down SHIFT and click the left mouse button to bring up the "Font Menu" containing :
Misc -> several size/style options
Courier -> several size/style options
Fontset -> several size/style options

Selecting essentially any of those options for size/style produces a 
"Font Not Found" error and the "mouse-set-font: Font not found" error in the Messages buffer.
mouse-set-font: Font not found [12 times]



Version-Release number of selected component (if applicable):
Fedora-10-i386-SNAP3 release with no significant manual software changes.
emacs-22.2-5.fc9.i386
emacs-common-22.2-5.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Missing fonts.

Expected results:
Fonts available.

Additional info:
Comment 1 Pawel Salek 2008-11-03 02:29:08 EST
I see that too. I guess it just does not bother me too much as I keep using simply the default font. It appears the fonts listed in the menu in question are an old generation Xwindow fonts which are apparently being obsoleted.
Comment 3 Bug Zapper 2008-11-25 23:30:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 dedded 2008-11-28 12:10:34 EST
I was just logging in to report this bug.

You can solve it by installing this package:
    xorg-x11-fonts-misc

I think this package should be on the deplist for emacs (in the repositories _and_ in the installation dvd).

It was also not on the deplist for emacs in Fedora 8 (my last version), but it was installed on my machine anyways (perhaps on the deplist of something else, or installed by default) and so I hadn't seen the problem before.
Comment 5 Jonathan Underwood 2008-12-01 06:01:08 EST
Yes, the emacs package needs to have a Requires for the xorg font server and fonts

i.e. Requires: xorg-x11-xfs

and also some subset (or all) of:

  xorg-x11-fonts-100dpi                                  
  xorg-x11-fonts-ISO8859-1-100dpi                      
  xorg-x11-fonts-ISO8859-1-75dpi                         
  xorg-x11-fonts-ISO8859-14-100dpi                       
  xorg-x11-fonts-ISO8859-14-75dpi                            
  xorg-x11-fonts-ISO8859-15-100dpi                           
  xorg-x11-fonts-ISO8859-15-75dpi                           
  xorg-x11-fonts-ISO8859-2-100dpi                           
  xorg-x11-fonts-ISO8859-2-75dpi                            
  xorg-x11-fonts-ISO8859-9-100dpi                          
  xorg-x11-fonts-ISO8859-9-75dpi                            
  xorg-x11-fonts-Type1                              
  xorg-x11-fonts-cyrillic.noarch                                   
  xorg-x11-fonts-ethiopic.noarch
Comment 6 Jens Petersen 2008-12-01 21:09:23 EST
(In reply to comment #5)
> i.e. Requires: xorg-x11-xfs

Why?  xfs is deprecated in Fedora AFAIK.

>   xorg-x11-fonts-ISO8859-1-100dpi                      

This is already required.

> and also some subset (or all) of:

Not all anyway, I would suggest.

Maybe adding xorg-x11-fonts-misc is a good idea.
Comment 7 Jonathan Underwood 2008-12-02 06:34:29 EST
(In reply to comment #6)
> (In reply to comment #5)
> > i.e. Requires: xorg-x11-xfs
> 
> Why?  xfs is deprecated in Fedora AFAIK.

That maybe so, but Emacs 22.x still needs it - without it installed, Emacs returns an error message when changing fonts "can't contact server". install xfs, and it works.. Emacs 23 doesn't need xfs.
Comment 8 Pawel Salek 2008-12-02 06:38:52 EST
I can change fonts just fine with emacs-22.2.1 as in F9 and without xfs installed.
Comment 9 Jonathan Underwood 2008-12-02 06:48:00 EST
(In reply to comment #8)
> I can change fonts just fine with emacs-22.2.1 as in F9 and without xfs
> installed.

Yes, for me too on F-9. I noticed that message on F-10 yesterday, but am away from that machine right now. Perhaps xfs is unneeded then, I will check on the F10 machine later.
Comment 10 Michael Schwendt 2008-12-02 09:32:35 EST
$ rpm -qR emacs|grep font
libfontconfig.so.1  
xorg-x11-fonts-75dpi  

I've had to

  yum -y install xorg-x11-fonts-ISO8859-1-75dpi

to make Emacs fonts choices work. (Options > Set Font/Fontset > Courier > 18 bold, for example). Else I would get "Font not found" inside Emacs.
Comment 11 dedded 2009-06-23 08:51:39 EDT
The Fedora version needs to be bumped to 11 on this bug.  (Or added in addition.)

Once again, the fonts in the Emacs fonts menu were missing, and installing this package resolved the issue:
    xorg-x11-fonts-misc

Still seems like a dependency bug to me.
Comment 12 Daniel Novotny 2009-06-24 08:01:17 EDT
OK, adding xorg-x11-fonts-misc to dependencies
Comment 13 Fedora Update System 2009-06-24 08:42:35 EDT
emacs-22.3-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-22.3-13.fc11
Comment 14 Fedora Update System 2009-06-24 09:15:07 EDT
emacs-22.3-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/emacs-22.3-5.fc10
Comment 15 Takanori MATSUURA 2009-06-25 20:33:14 EDT
Do we really need xorg-x11-fonts-misc dependency for emacs-23.0.93-4.fc12?
I think this fix is needed only for old type emacs before emacs-22.

Emacs-23 can use fontconfig and bitmap fonts are not required now.
Comment 16 Jens Petersen 2009-06-26 03:30:05 EDT
(In reply to comment #15)
> Emacs-23 can use fontconfig and bitmap fonts are not required now.  

Good point - it should only be required for emacs-22.
Comment 17 Daniel Novotny 2009-06-26 06:18:22 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > Emacs-23 can use fontconfig and bitmap fonts are not required now.  
> 
> Good point - it should only be required for emacs-22.  

OK, I will change this
Comment 18 Fedora Update System 2009-06-26 22:42:02 EDT
emacs-22.3-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6957
Comment 19 Fedora Update System 2009-07-02 08:17:56 EDT
emacs-22.3-14.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-22.3-14.fc11
Comment 20 Fedora Update System 2009-07-03 15:43:58 EDT
emacs-22.3-14.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7354
Comment 21 Fedora Update System 2009-07-23 15:02:18 EDT
emacs-22.3-14.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-07-23 15:04:30 EDT
emacs-22.3-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.